List objects

Beta
Lists objects in your environment. You can define a prefix to list a subset of your objects. If you do not set a prefix, Lattice returns all available objects. By default this endpoint will list local objects only.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

prefixstringOptional
Filters the objects based on the specified prefix path. If no path is specified, all objects are returned.
sinceTimestampdatetimeOptional
Sets the age for the oldest objects to query across the environment.
pageTokenstringOptionalformat: "string"

Base64 and URL-encoded cursor returned by the service to continue paging.

allObjectsInMeshbooleanOptional
Lists objects across all environment nodes in a Lattice Mesh.
maxPageSizeintegerOptional
Sets the maximum number of items that should be returned on a single page.

Response

Successful operation
path_metadataslist of objects
next_page_tokenstring

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error